package threads_account

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"haixun-backend/internal/logic/threads_account"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
	"haixun-backend/internal/types"
)

func PublishMentionReplyHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PublishMentionReplyHandlerReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Write(r.Context(), w, nil, response.WrapRequestError(err))
			return
		}
		if err := svcCtx.Validator.ValidateAll(&req); err != nil {
			response.Write(r.Context(), w, nil, response.WrapRequestError(err))
			return
		}
		l := threads_account.NewPublishMentionReplyLogic(r.Context(), svcCtx)
		data, err := l.PublishMentionReply(&req)
		response.Write(r.Context(), w, data, err)
	}
}
